//---------------------------------------------------------------------------
#ifndef configH
#define configH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Mask.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Dialogs.hpp>
//---------------------------------------------------------------------------
class TfrmConfig : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TLabel *lblTime;
	TLabel *lblProgramPath;
	TEdit *EditDesc;
	TEdit *EditProgramPath;
	TBitBtn *btnOk;
	TBitBtn *btnCancel;
	TButton *btnFileSelect;
	TOpenDialog *OpenDialog;
	TMaskEdit *EditTime;
	void __fastcall btnFileSelectClick(TObject *Sender);
	
        
        void __fastcall btnOkClick(TObject *Sender);
        
        void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfrmConfig(TComponent* Owner);
      	void __fastcall SaveConfig(void);
        void __fastcall SaveConfigToFile(void);
        bool InEditConfigMode;
};
//---------------------------------------------------------------------------
extern TfrmConfig *frmConfig;
//---------------------------------------------------------------------------
#endif
